package jalview.api;

public interface AlignmentColsCollectionI extends Iterable<Integer>
{
  /**
   * Answers if the column at the given position is hidden.
   * 
   * @param c
   *          the column index to check
   * @return true if the column at the position is hidden
   */
  public boolean isHidden(int c);

  /**
   * Answers if any column in this collection is hidden
   * 
   * @return true if there is at least 1 hidden column
   */
  public boolean hasHidden();
}
