package jalview.api;

import jalview.datamodel.SequenceI;

public interface AlignmentRowsCollectionI extends Iterable<Integer>
{
  /**
   * Answers if the sequence at the given position is hidden.
   * 
   * @param r
   *          the row index to check
   * @return true if the sequence at r is hidden
   */
  public boolean isHidden(int r);

  /**
   * Answers if any row in this collection is hidden
   * 
   * @return true if there is at least 1 hidden row
   */
  public boolean hasHidden();

  /**
   * Answers the sequence at the given position in the alignment
   * 
   * @param r
   *          the row index to locate
   * @return the sequence
   */
  public SequenceI getSequence(int r);
}
